#!/bin/bash

source_to_target() { sed -E -e 's:\.\./src/:\./:' -e 's/.md$/.html/'; }

shopt -s globstar
rm -rf dist/
mkdir dist&&cd dist
cp -r ../static/*  .
for file in $(du -a ../src/ | cut -f2 | grep -E '.md$'); do
	target="$(echo $file | source_to_target)"
	export CONTENT="$(pandoc --from markdown+emoji --wrap=none -i $file)"
	export PREFIX=$(realpath --relative-to $(dirname $target) .)
	export SIDEBAR=$(for x in ../src/**/*.md; do echo "<li><a href=\"$(echo $PREFIX/$x | source_to_target)\">$(realpath --relative-to ../src/ $x | sed -e 's/.md$//')</a></li>"; done)
	mkdir -p $(dirname $target) 
	awk -f ../template.awk ../template.tpl | bash > $target
done
